io.milvus.response

## Class DescIndexResponseWrapper

- java.lang.Object
- - io.milvus.response.DescIndexResponseWrapper

-     public class DescIndexResponseWrapper
      extends java.lang.Object

  Util class to wrap response of `describeIndex` interface.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DescIndexResponseWrapper.IndexDesc` Internal-use class to wrap response of `describeIndex` interface.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DescIndexResponseWrapper(@NonNull io.milvus.grpc.DescribeIndexResponse response)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DescIndexResponseWrapper.IndexDesc` | `getIndexDescByFieldName(@NonNull java.lang.String fieldName)` Get index description by field name.
    `DescIndexResponseWrapper.IndexDesc` | `getIndexDescByIndexName(@NonNull java.lang.String indexName)` Get index description by index name.
    `java.util.List<DescIndexResponseWrapper.IndexDesc>` | `getIndexDescriptions()` Get index description of fields.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DescIndexResponseWrapper

          public DescIndexResponseWrapper(@NonNull
                                          @NonNull io.milvus.grpc.DescribeIndexResponse response)

  - ### Method Detail

    - #### getIndexDescriptions

          public java.util.List<DescIndexResponseWrapper.IndexDesc> getIndexDescriptions()

      Get index description of fields.
      Returns:
        List of IndexDesc, index description of fields

    - #### getIndexDescByFieldName

          public DescIndexResponseWrapper.IndexDesc getIndexDescByFieldName(@NonNull
                                                                            @NonNull java.lang.String fieldName)

      Get index description by field name. Return null if the field doesn't exist
      Parameters:
        `fieldName` - field name to get index description
      Returns:
        `DescIndexResponseWrapper.IndexDesc` description of the index

    - #### getIndexDescByIndexName

          public DescIndexResponseWrapper.IndexDesc getIndexDescByIndexName(@NonNull
                                                                            @NonNull java.lang.String indexName)

      Get index description by index name. Return null if the index doesn't exist
      Parameters:
        `indexName` - index name to get index description
      Returns:
        `DescIndexResponseWrapper.IndexDesc` description of the index